\subsection{ST[3] - Housekeeping}

\begin{longtable}{p{\textwidth}}
\toprule
\rowcolor{yellow!30} The housekeeping service type provides the capability to control and adapt the spacecraft reporting plan according to the mission phases. The housekeeping service type provides the capability to see any on-board parameter assembled in a housekeeping parameter report structure or diagnostic parameter report structure.\\
\midrule
\rowcolor{gray!20}\textbf{ST[3] - housekeeping reporting subservice}\\
\midrule
The housekeeping reporting subservice shall provide the capability to generate housekeeping parameter reports.\\
Note: The corresponding message type is TM[3,25].\\
\midrule
The housekeeping reporting subservice shall provide the capability to enable the periodic generation of housekeeping parameter reports.\\
Note: The corresponding message type is TC[3,5].\\
\midrule
The housekeeping reporting subservice shall provide the capability to disable the periodic generation of housekeeping parameter reports.\\
Note: The corresponding message type is TC[3,6].\\
\midrule
The housekeeping reporting subservice shall provide the capability to create a housekeeping parameter report structure.\\
Note: The corresponding message type is TC[3,1].\\
\midrule
The housekeeping reporting subservice shall provide the capability to delete a housekeeping parameter report structure.\\
Note: The corresponding message type is TC[3,3].\\
\midrule
The housekeeping reporting subservice shall provide the capability to report a housekeeping parameter report structure.\\
Note: The corresponding message type of the request is TC[3,9]. The corresponding message type of the report is TM[3,10].\\
\midrule
The housekeeping reporting subservice shall provide the capability to append parameters to a housekeeping parameter report structure.\\
Note: The corresponding message type is TC[3,29].\\
\midrule
The housekeeping reporting subservice shall provide the capability to modify the collection interval of a housekeeping parameter report structure.\\
Note: The corresponding message type is TC[3,31].\\
\midrule
The housekeeping reporting subservice shall provide the capability to report the periodic generation properties of a housekeeping parameter report structure.\\
Note: The corresponding message type of the request is TC[3,33]. The corresponding message type of the report is TM[3,35].\\
\midrule
\rowcolor{gray!20}\textbf{ST[3] - diagnostic reporting subservice}\\
\midrule
The diagnostic reporting subservice shall provide the capability to generate diagnostic parameter reports.\\
Note: The corresponding message type is TM[3,26].\\
\midrule
The diagnostic reporting subservice shall provide the capability to enable the periodic generation of diagnostic parameter reports.\\
Note: The corresponding message type is TC[3,7].\\
\midrule
The diagnostic reporting subservice shall provide the capability to disable the periodic generation of diagnostic parameter reports.\\
Note: The corresponding message type is TC[3,8].\\
\midrule
The diagnostic reporting subservice shall provide the capability to create a diagnostic parameter report structure.\\
Note: The corresponding message type is TC[3,2].\\
\midrule
The diagnostic reporting subservice shall provide the capability to delete a diagnostic parameter report structure.\\
Note: The corresponding message type is TC[3,4].\\
\midrule
The diagnostic reporting subservice shall provide the capability to report a diagnostic parameter report structure.\\
Note: The corresponding message type of the request is TC[3,11]. The corresponding message type of the report is TM[3,12].\\
\midrule
The diagnostic reporting subservice shall provide the capability to append parameters to a diagnostic parameter report structure.\\
Note: The corresponding message type is TC[3,30].\\
\midrule
The diagnostic reporting subservice shall provide the capability to modify the collection interval of a diagnostic parameter report structure.\\
Note: The corresponding message type is TC[3,32].\\
\midrule
The diagnostic reporting subservice shall provide the capability to report the periodic generation properties of a diagnostic parameter report structure.\\
Note: The corresponding message type of the request is TC[3,34]. The corresponding message type of the report is TM[3,36].\\
\bottomrule
\end{longtable}

